aboutsummaryrefslogtreecommitdiffstats
Commit message (Collapse)AuthorAgeFilesLines
* python*-paho-mqtt: upgrade to 1.4.0paule/mqtt-updatesPaul Eggleton2018-11-223-2/+3
| | | | | | | | 1.4.0 is primarily a bugfix release, see here for details: https://github.com/eclipse/paho.mqtt.python/blob/v1.4.0/ChangeLog.txt Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* mosquitto: update to 1.5.4Paul Eggleton2018-11-222-978/+3
| | | | | | | | | | | | | | | 1.5.2, 1.5.3 and 1.5.4 include a number of fixes, notably for vulnerability CVE-2018-12543 which allowed the server process to be remotely crashed. For further information see: https://mosquitto.org/blog/2018/11/version-154-released/ https://mosquitto.org/blog/2018/09/security-advisory-cve-2018-12543/ https://mosquitto.org/blog/2018/09/version-152-released/ A build option was added to use the system version of uthash rather than the bundled version so we no longer need the patch to do this. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
* opensc: 0.18.0 version fix fetch errorArmin Kuster2018-11-161-1/+1
| | | | | | | | | | ERROR: opensc-0.18.0-r0 do_fetch: Fetcher failure for URL: 'http://ftp.debian.org/debian/pool/main/o/opensc/opensc_0.18.0.orig.tar.gz'. Unable to fetch URL from any source. This version is no longer hosted on the main debian URL so use the archive URL Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* fio: Upgrade to 3.12Mingli Yu2018-11-162-5/+5
| | | | | | | | | Refresh 0001-update-the-interpreter-paths.patch as the folder unit_tests/ is renamed to t/ in below commit: c44d2c6e Move steady state unit test to t/ Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* log4cplus: Upgrade to 2.0.2Mingli Yu2018-11-151-2/+2
| | | | | Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* iozone3: Upgrade to 484Mingli Yu2018-11-151-2/+2
| | | | | Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mcelog: Upgrade to 161Mingli Yu2018-11-141-1/+1
| | | | | Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libestr: Upgrade to 0.1.11Mingli Yu2018-11-141-2/+2
| | | | | Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* tk: export TK_LIBRARY='${libdir}/tk${VER}'Mingli Yu2018-11-141-9/+1
| | | | | | | | | | | | | | | | | | | | | | As there is below logic in configure.in [snip] test -z "$TK_LIBRARY" && TK_LIBRARY='$(prefix)/lib/tk$(VERSION)' [snip] It can make TK_LIBRARY to be $(prefix)/lib/tk$(VERSION) and then result in some files installed to /usr/lib/tk8.6 even when ${libdir} actually extract as /usr/lib64 and there is also a commit as below adding hack to workaround this. 1ca29d1cd tk: make multilib build compatible and fix library install Export TK_LIBRARY='${libdir}/tk${VER}' to guarantee the files installed to the expected places and also remove the workaround in the previous commit 1ca29d1cd. Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* tk: update the parameter for --with-tclMingli Yu2018-11-141-1/+1
| | | | | | | | | | Update the parameter for --with-tcl to fix below do_configure issue: $ bitbake tk-native | checking for Tcl configuration... configure: error: /mybuild/tmp/work/x86_64-linux/tk-native/8.6.8-r0/recipe-sysroot-native/usr/bin directory doesn't contain tclConfig.sh Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* meta-oe: add selftest for sources.oe.orgArmin Kuster2018-11-141-0/+30
| | | | | Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* networkmanager: package additional .la filesMark Asselstine2018-11-131-0/+1
| | | | | | | | | | | | | | | | | | This fixes: ERROR: networkmanager-1.14.4-r0 do_package: QA Issue: networkmanager: Files/directories were installed but not shipped in any package: /usr/lib64/NetworkManager/1.14.4/libnm-settings-plugin-ifupdown.la /usr/lib64/NetworkManager/1.14.4/libnm-device-plugin-adsl.la /usr/lib64/NetworkManager/1.14.4/libnm-device-plugin-wifi.la /usr/lib64/NetworkManager/1.14.4/libnm-device-plugin-ovs.la Please set FILES such that these items are packaged. Alternatively if they are unneeded, avoid installing them or delete them within do_install. networkmanager: 4 installed and not shipped files. [installed-vs-shipped] As with similar changes in the past, if the distro makes use of 'remove-libtool' this issue is not seen but we should add .la files to the -dev package when they do exist. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* xscreensaver: add distro_features_check for x11Martin Jansa2018-11-131-1/+3
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* xscreensaver: fix indentation and use BPN/BP in SRC_URIMartin Jansa2018-11-131-5/+7
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ntp: Reproducible build: Use fixed path to posix shelldouglas.royds2018-11-132-0/+16
| | | | | | | | | | | | | | At configure time, the ntp build goes looking on the build machine for a posix shell, using `which` to find it. Under OE, it settles on hosttools/bash, resulting in this build host path being written into several binaries. This did not affect the Debian reproducibility project, presumably because it consistently found bash at /bin/bash. Don't go looking, just use a fixed path to /bin/sh instead. Upstream-Status: Submitted http://bugs.ntp.org/show_bug.cgi?id=3551 Signed-off-by: Douglas Royds <douglas.royds@taitradio.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ntp: Reproducible build: Respect SOURCE_DATE_EPOCHdouglas.royds2018-11-132-0/+17
| | | | | | | | | | | | | | If a SOURCE_DATE_EPOCH is set in the environment, use that date in the build version string, otherwise use the current build date. See https://reproducible-builds.org/docs/source-date-epoch/ Should GNU date options fail, try BSD date options as a fall-back. This patch can potentially be pushed upstream for use on Mac OSX or OpenBSD, though it has not been tested on OSX or any BSD platform. Upstream-Status: Submitted http://bugs.ntp.org/show_bug.cgi?id=3550 Signed-off-by: Douglas Royds <douglas.royds@taitradio.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* stress-ng: Upgrade from 0.09.37 to 0.09.45Randy MacLeod2018-11-124-70/+34
| | | | | | | | | | | Drop the upstreamed patch: 0001-stress-ng-don-t-enable-TARGET_CLONES-for-musl.patch Rebase other patches except for the stress-malloc.c change which has made it upstream: c3a2e662 stress-malloc: use HAVE_MALLOPT check for mallopt glibc function Signed-off-by: Randy MacLeod <Randy.MacLeod@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* geoip: update GeoLite Database checksumChangqing Li2018-11-121-4/+4
| | | | | | | | GeoLite Database checksum changed again recently, so update it. Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* ptest: add addition packagegroups and image for ptestsArmin Kuster2018-11-125-0/+270
| | | | | | | | Need a method to run ptests in meta-oe and to build test tasks not done via a world build Signed-off-by: Armin Kuster <akuster808@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* imagemagick: add PACKAGECONFIG[rsvg]Binghua Guan2018-11-121-1/+2
| | | | | Signed-off-by: Binghua Guan <freebendy@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* nftables: Upgrade to 0.9.0Alex Kiernan2018-11-1210-918/+20
| | | | | | | Drop all the backports as they're upstream Signed-off-by: Alex Kiernan <alex.kiernan@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libnftnl: Upgrade to 1.1.1Alex Kiernan2018-11-124-3068/+441
| | | | | Signed-off-by: Alex Kiernan <alex.kiernan@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libgpiod: bump version to v1.2Bartosz Golaszewski2018-11-091-2/+2
| | | | | Signed-off-by: Bartosz Golaszewski <brgl@bgdev.pl> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* hwloc: Update the SRC_URIMingli Yu2018-11-091-1/+1
| | | | | | | | | | | Update the SRC_URI to fix below issue: $ bitbake -cfetch lib32-hwloc ERROR: lib32-hwloc-1.11.10-r0 do_fetch: Fetcher failure for URL: 'https://www.open-mpi.org/software/lib32-hwloc/v1.11/downloads/hwloc-1.11.10.tar.bz2'. Unable to fetch URL from any source. Actually the source located under https://www.open-mpi.org/software/hwloc/v1.11/downloads/hwloc-1.11.10.tar.bz2 Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* libunique: fix installed-vs-shipped qa issueKai Kang2018-11-091-0/+4
| | | | | | | | | | | | | | | libunique shows installed-vs-shipped QA issue if configure option '--disable-introspection' is set by: 1) in gobject-introspection*.bbclass that the 'qemu-usermode' is not supported by bsp and then not set in MACHINE_FEATURES or: 2) set in local.conf directly: EXTRA_OECONF_append_pn-libunique = " --disable-introspection" Remove empty directory to fix the QA issue. Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* sedutil: Add recipePrimoz Fiser2018-11-081-0/+17
| | | | | | | | sedutil is utility to manage self encrypting drives that conform to the Trusted Computing Group OPAL 2.0 SSC specification. Signed-off-by: Primoz Fiser <primoz.fiser@norik.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* curlpp: Fix packaging and reference to licenseRobert Tiemann2018-11-081-16/+1
| | | | | | | | | | | | | | | | | | | | | | | | | This patch fixes three issues: 1. The recipe used "libcurlpp" for its package base name. It defined PACKAGES and corresponding package contents manually, but the non-standard naming led to an error message when trying to depend on it (nothing provides curlpp needed by curlpp-dev). See also https://lists.yoctoproject.org/pipermail/poky/2018-February/011236.html. Fixed by removing PACKAGES and corresponding FILES_*, relying on automatic packaging now. 2. Upstream ships a license file (MIT), which is referenced by the recipe now (instead of the stock COPYING.MIT file). 3. There was a do_install_append() function which patched the installed curlpp.pc file. Since it seemed to be of no use, it was removed. Signed-off-by: Robert Tiemann <rtie@gmx.de> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* tk: extend to nativesdkMingli Yu2018-11-081-1/+1
| | | | | | | | | | | After enable tk via PACKAGECONFIG for python3, there comes below error: Missing or unbuildable dependency chain was: ['buildtools-tarball', 'nativesdk-python3', 'nativesdk-tk'] Extend tk to nativesdk to fix this issue. Signed-off-by: Mingli Yu <Mingli.Yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* networkmanager: Fix build with muslKhem Raj2018-11-072-0/+54
| | | | | | | Remove redundant header includes Signed-off-by: Khem Raj <raj.khem@gmail.com> Cc: Andreas Müller <schnitzeltony@gmail.com>
* Adding support for xscreensaver-5.39Parthiban Nallathambi2018-11-074-0/+428
| | | | | | | | - This patch enables the support for xscreensaver 5.39 version - xscreensaver.service created for the system with systemd Signed-off-by: Parthiban Nallathambi <pn@denx.de> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* meta-xfce: xfconf: fixup installed-vs-shipped QA issueMark Asselstine2018-11-071-0/+2
| | | | | | | | | | | | | | | | | Since the xfconf uprev, commit 4222cac97678 [xfconf: 4.13.5 -> 4.13.6], we are getting a QA issue: ERROR: xfconf-4.13.6-r0 do_package: QA Issue: xfconf: Files/directories were installed but not shipped in any package: /usr/lib64/gio/modules/libxfconfgsettingsbackend.la Please set FILES such that these items are packaged. Alternatively if they are unneeded, avoid installing them or delete them within do_install. xfconf: 1 installed and not shipped files. [installed-vs-shipped] ERROR: xfconf-4.13.6-r0 do_package: Fatal QA errors found, failing task. ERROR: xfconf-4.13.6-r0 do_package: Function failed: do_package We need to include the .la file in the -dev package to avoid this. Signed-off-by: Mark Asselstine <mark.asselstine@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* python-configparser.inc: Fix SUMMARYAlexandru Vasiu2018-11-071-1/+1
| | | | | | | | SUMMARY contained a non-ascii char (’ instead of ') which caused pkg.info_installed to fail. Signed-off-by: Alexandru Vasiu <alexandru.vasiu@ni.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* network-manager-applet: move GNOMEBASEBUILDCLASS to correct positionChangqing Li2018-11-061-2/+1
| | | | | | | | GNOMEBASEBUILDCLASS is used by gnomebase, if put it after inherit gnomebase, GNOMEBASEBUILDCLASS in recipe will not take effect Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* vim-tiny: remove alternative for xxdRicardo Salveti2018-11-051-0/+1
| | | | | | | | | | | xxd is not available in vim-tiny, so remove from the default ALTERNATIVE list to fix the following warning: vim-tiny: alternative target (/usr/bin/xxd or /usr/bin/xxd.vim-tiny) does not exist, skipping Signed-off-by: Ricardo Salveti <ricardo@foundries.io> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* modemmanager: set udev base dir to ${nonarch_base_libdir}/udevRicardo Salveti2018-11-051-0/+4
| | | | | | | | Fixes QA issue when building modemmanager with usrmerge: /lib should be relocated to /usr. [usrmerge] Signed-off-by: Ricardo Salveti <ricardo@foundries.io> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* cpprest: upgrade to version 2.10.7 and add support for brotli libraryGianfranco Costamagna2018-11-055-49/+74
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* brotli: add initial recipe, based on meta-webkit layerGianfranco Costamagna2018-11-051-0/+14
| | | | Signed-off-by: Khem Raj <raj.khem@gmail.com>
* glog: updated libunwind look up functionVyacheslav Yurkov2018-11-053-34/+115
| | | | | | | | | | | Updated FindLinunwind cmake file to locate libunwind properly in the system. This includes settings all needed defines in config.h file, which are used for glog compilation. Changed unwind cmake target to interface, because in cross-compilation environment we could link against several libunwind shared libraries. Signed-off-by: Vyacheslav Yurkov <Vyacheslav.Yurkov@bruker.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* lvm2.inc: Correct the license (LGPL-2.0 -> LGPL-2.1)Peter Kjellerstedt2018-11-031-1/+1
| | | | | | | | The library parts are actually LGPL-2.1, not LGPL-2.0. License-Update: The correct license is LGPL-2.1, not LGPL-2.0. Signed-off-by: Peter Kjellerstedt <peter.kjellerstedt@axis.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* pcsc-lite: fix SRC_URIMartin Jansa2018-11-021-1/+1
| | | | | | | | * alioth.debian.org is down Connecting to alioth.debian.org (alioth.debian.org)|5.153.231.21|:443... failed: No route to host. Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* network-manager-applet: change default buildclassChangqing Li2018-11-021-0/+2
| | | | | | | | | | | | | | | | network-manager-applet don't have good support of out-of-tree build. refer this link: https://gitlab.gnome.org/GNOME/network-manager-applet/issues/30#note_353935 change default buildclass to fix below occasionally compile failed problem. can't write to file src/wireless-security/ws-resources.hcan't write to file src/wireless-security/ws-resources.cMakefile:5299: recipe for target 'src/wireless-security/ws-resources.h' failed Signed-off-by: Changqing Li <changqing.li@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* rapidjson: Allow empty packageJoshua Watt2018-11-021-1/+1
| | | | | | | | Causes the empty base package to be created so that RapidJSON can be sanely included in an SDK via IMAGE_INSTALL, RDEPENDS, and the like. Signed-off-by: Joshua Watt <JPEWhacker@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* mariadb: Upgrade to 5.5.62Mingli Yu2018-11-023-2/+2
| | | | | | | | | | | | | | MariaDB 5.5.62 is a maintenance release. It includes bugfixes and updates, including from MySQL 5.5.62. . XtraDB updated to 5.5.61-38.13 . Fixes for the following security vulnerabilities: CVE-2018-3282 CVE-2018-3174 Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* v4l-utils: update to 1.16.0Ryan Harkin2018-11-024-169/+8
| | | | | | | | | Also remove two patches that have been merged upstream into v4l-util since 1.12.3 and update the diff for patch 0002-contrib-* to prevent a build warning. Signed-off-by: Ryan Harkin <ryan.harkin@linaro.org> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* dbus-broker: fetch submodules tooBrad Bishop2018-11-021-1/+1
| | | | | | | | dbus-broker depends on a number of submodules. Make sure to recursively fetch those as well. Signed-off-by: Brad Bishop <bradleyb@fuzziesquirrel.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* networkmanager: upgrade 1.10.10 -> 1.14.4Andreas Müller2018-11-0211-85/+85
| | | | | | | | | | | | | | | | * License checksum: copyright year changed * packageconfig glib: with this version (udev-)glib support hase to be enabled explicitly. Split this out to meta-gnome where network-manager-applet lives. * packageconfig netconfig: This was nonsense: netconfig is a SUSE tool [1] which is not found in layer index. The error was detected now because configuration checks for presence of netconfig. * --disable-ifnet and --disable-ifcfg-suse are gone * musl patches were aligned but have no resources to test them [1] https://github.com/openSUSE/sysconfig Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* xfce4-settings: upgrade 4.12.3 -> 4.12.4Andreas Müller2018-11-021-3/+3
| | | | | | | | A GTK3 version is abvailable but keep GTK2: haven't found the time yet to rework my additions which I would miss. Signed-off-by: Andreas Müller <schnitzeltony@gmail.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* apache2: Fix CVE-2018-11763Mingli Yu2018-11-023-0/+514
| | | | | | | | | | | | mod_http2: connection IO event handling reworked. Instead of reacting on incoming bytes, the state machine now acts on incoming frames that are affecting it. This reduces state transitions. Reference: https://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-11763.html Signed-off-by: Mingli Yu <mingli.yu@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* adduser: 3.117 -> 3.118Kai Kang2018-11-021-2/+4
| | | | | | | | | Upgrade adduser from 3.117 to 3.118. * set S Signed-off-by: Kai Kang <kai.kang@windriver.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>
* lcov: Fix perl module dependenciesVincent Prince2018-11-021-0/+25
| | | | | Signed-off-by: Vincent Prince <vincent.prince.external@saftbatteries.com> Signed-off-by: Khem Raj <raj.khem@gmail.com>